import { styled } from "solid-styled-components";
import { useOverview } from "../providers/overview";
import { createMemo } from "solid-js";

export default function OverviewUI() {
  const [overview] = useOverview();

  const crystalHealth = createMemo(() => overview()["crystal.health"]);
  const crystalMaxHealth = createMemo(() => overview()["crystal.maxHealth"]);
  const regenerationProgress = createMemo(
    () => (crystalHealth() / crystalMaxHealth()) * 100
  );

  const BottomSideContainer = styled("div")`
    text-align: center;
    position: absolute;
    display: flex;
    flex-direction: column;
    gap: 10px;

    width: 100vw;
    bottom: 0;
    left: 0;
  `;

  return (
    <>
      <BottomSideContainer class="healthy-overview">
        <div class="text-xl">Crystal {crystalHealth()}/{crystalMaxHealth()}</div>
        <progress class="h-[4px] progress progress-error w-screen" value={regenerationProgress()} max={100} />
      </BottomSideContainer>
    </>
  );
}
